Skip to main content
POST
Create a new product

Authorizations

Authorization
string
header
required

OAuth 2.0 access token from the token endpoint. See Platform API authentication.

Body

application/json

Product request body

brand
string
required

Institution brand managing the product.

description
string
required

A description of the product suitable for display to customers.

is_tailored
boolean
required

Indicates whether the product is specifically tailored to a circumstance.

name
string
required

The display name of the product shown to customers.

product_category
enum<string>
required

The category of the product as defined by the CDR standard.

Available options:
BUSINESS_LOANS,
BUY_NOW_PAY_LATER,
CRED_AND_CHRG_CARDS,
LEASES,
MARGIN_LOANS,
OVERDRAFTS,
PERS_LOANS,
REGULATED_TRUST_ACCOUNTS,
RESIDENTIAL_MORTGAGES,
TERM_DEPOSITS,
TRADE_FINANCE,
TRANS_AND_SAVINGS_ACCOUNTS,
TRAVEL_CARDS
additional_information
object
application_uri
string

A link to an application web page where this product can be applied for

brand_name
string

An optional display name for the brand.

bundles
object[]

Array of bundles that this product is included in

card_art
object[]

Array of card art images

constraints
object[]

An array of constraint objects.

deposit_rates
object[]

An array of deposit rates, e.g. interest rates for deposit products.

effective_from
string

The date and time from which this product is effective. If not present, the product is available immediately.

effective_to
string

The date and time at which this product will be retired and no longer available for new applications.

eligibility
object[]

An array of eligibility criteria objects.

features
object[]

An array of feature objects describing product capabilities.

fees
object[]

An array of fees associated with the product.

instalments
object

Details of instalment plan features on the account

lending_rates
object[]

An array of lending rates, e.g. interest rates for lending products.

Response

Product created successfully

product_id
string